windows服务器iis7.5安装多个php版本切换设置

因为某个网站程序的配置是在php5.3上面运行的,不兼容我现在的php5.5.所以就只能再安装个5.3的了。

在安装过程中,忘记截图了。。。就直接写吧。

准备工作:

1:php版本,这个根据自己需要的,自己去下载吧,我提供个5.3,64位的链接。

php版本要下载nts,后缀是zip格式的,非线程安全版本。

链接: http://pan.baidu.com/s/1o623i2m 密码: n6zw

官方的下载链接:http://windows.php.net/download/

2:下载PHP Manager工具

官网下载:http://phpmanager.codeplex.com/releases/view/69115

我用的64位链接:链接: http://pan.baidu.com/s/115DWM 密码: yxcq

3:Visual C++ 2008 这个可能有的服务器里面已经安装了,如果没有安装就需要再安装这个。

32位X86官网下载地址:http://www.microsoft.com/zh-cn/download/details.aspx?id=29

64位X64官网下载地址:http://www.microsoft.com/zh-cn/download/details.aspx?id=15336

开始安装:

1:把下载好的php放到网站目录,

2:安装PHP Manager

按照流程安装好就可以了,然后到iis界面去设置。

到你需要切换网站php版本的那个站点去,打开PHP Manager。

进入PHP Manager之后,先点击Register New PHP Version

在弹出的对话框中选择文件,找到你php目录。

选择php目录下的php-cgi.exe文件。

选择确定好之后,按照上面的流程再来一次,这次就选择另外一个版本的php-cgi文件。假如第一次是php5.3版本,那这次就添加php5.5版本的。

现在就是切换版本了,点击Change PHP version进行php版本的选择。

在弹出的对话框中选择你需要的版本就可以了。

现在就去看看你网站的配置是不是换了,如果出现了500错误,错误代码为0x800736b1

那就需要安装vc 2008的库了,安装这个就不说了。直接下载安装就可以了。

本文参与腾讯云自媒体分享计划,欢迎正在阅读的你也加入,一起分享。

发表于

我来说两句

0 条评论
登录 后参与评论

相关文章

来自专栏编程思想之路

Android6.0之修改或者查看系统属性值

系统属性值存在于system.prop文件中,也有一些存在于settings中 1,查看settingsprovider中的值的方法 命令为adb shell ...

3925
来自专栏西安-晁州

nodejs应用离线安装部署、卸载

公司写的文档,直接粘贴过来了: 本文档提供node应用一键安装、部署、卸载说明,包含对应脚本文件 默认版本: 1、nodejs:v6.11.2.linux-...

3350
来自专栏DT乱“码”

Java知识图谱收集整理

1、Java学习路径1 ? 2、Java学习路径2 ? 3、Java Web学习路径 ? 4、Java编程所需的工具及知识 ? 5、Java集合类 ? 6、Ja...

2769
来自专栏草根专栏

使用Angular CLI生成路由

为应用生成路由. 先创建一个项目: ng new my-routing --routing ? 可以看到生成了两个module. 看一下routing modu...

38513
来自专栏Aloys的开发之路

Unix/Linux操作系统中如何在sqlplus/rman中使用方向键

默认情况下在Unix/Linux中使用Oracle的sqlplus/rman是无法使用↑↓←→几个方向键进行操作的,要想达到Windows下使用sqlplus/...

2076
来自专栏运维技术迷

HTTP响应可视化测试工具-httpstat

httpstat是一款可以测试http状态的可视化工具,通过这个工具可以看出来http响应信息。包括dns解析、tcp连接等信息,httpstat一共有gola...

3918
来自专栏xingoo, 一个梦想做发明家的程序员

公司内网,无法使用yum在线下载,肿么办?

1 配置上网代理   编辑/etc/yum.conf,增加如下属性: proxy=你的代理地址 proxy_user=你的用户名 proxy_passwor...

30510
来自专栏FreeBuf

Python编写的开源Struts2全版本漏洞检测工具

0x01 说明: 由于struts2框架频繁爆出漏洞,为方便安全从业人员检测并及时修复,遂将struts历史版本payload整合在一起(ST2-005至ST2...

6316
来自专栏CaiRui

Shell中的$..

$0 这个程式的执行名字 $n 这个程式的第n个参数值,n=1..9 $* 这个程式的所有参数,此选项参数可超过9个。 $# 这个程式的参数个数 $$ 这个程式...

3389
来自专栏about云

如何通过官网查找hadoop、hbase、hive版本兼容信息

问题导读 1.如何查看hbase与hadoop的兼容? 2.hive是否与所有hadoop兼容? 3.hadoop2.7.1 hbase1.2.x hive...

4078

扫码关注云+社区

领取腾讯云代金券